SDL_Keysym(3type)

NAME
SDL_Keysym - The SDL keysym structure, used in key events.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Keysym
{
    SDL_Scancode scancode;      /**< SDL physical key code - see ::SDL_Scancode for details */
    SDL_Keycode sym;            /**< SDL virtual key code - see ::SDL_Keycode for details */
    Uint16 mod;                 /**< current key modifiers */
    Uint32 unused;
} SDL_Keysym;

DESCRIPTION
If you are looking for translated character input, see the :: SDL_EVENT_TEXT_INPUT
 event.

AVAILABILITY
This struct is available since SDL 3.0.0.